Bug 1350745 - build: remove absolute paths from glusterfs spec file
Summary: build: remove absolute paths from glusterfs spec file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: build
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: RHGS 3.4.z Batch Update 3
Assignee: Milind Changire
QA Contact: Vinayak Papnoi
URL:
Whiteboard:
Depends On: 1350793 1351711
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-28 09:30 UTC by Milind Changire
Modified: 2019-02-04 07:41 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.12.2-33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1350793 (view as bug list)
Environment:
Last Closed: 2019-02-04 07:41:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0263 0 None None None 2019-02-04 07:41:37 UTC

Description Milind Changire 2016-06-28 09:30:41 UTC
Remove references to absolute paths from spec file:
1. /sbin/mount.glusterfs
2. /usr/lib/firewalld/services/glusterfs.xml

Comment 2 Kaleb KEITHLEY 2016-06-28 15:13:05 UTC
I believe the best we can do is change /usr/lib/firewalld/... to %{_prefix}/lib/firewalld/...

E.g. the nfs-utils.rpm .spec file has hard-coded (absolute) paths for /sbin/mount.nfs*

And the firewalld.rpm .spec file has %{_prefix}/lib/firewalld/...

Between autoconf and rpm there are no other config options or macros to use.

Comment 3 Amar Tumballi 2018-11-20 05:30:51 UTC
I guess this is already resolved as CURRENT-RELEASE, as 3.12 upstream itself had all the required fixes IMO.

Comment 12 errata-xmlrpc 2019-02-04 07:41:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0263


Note You need to log in before you can comment on or make changes to this bug.